import torch
from torch import nn
from torch.nn.modules.module import Module
import torch.nn.functional as F

class LMModel1(Module):
    def __init__(self, vocab_sz, n_hidden):
        super(LMModel1, self).__init__()
        self.i_h = nn.Embedding(vocab_sz, n_hidden)
        self.h_h = nn.Linear(n_hidden, n_hidden)
        self.h_o = nn.Linear(n_hidden,vocab_sz)
        
    def forward(self, x):
        h = F.relu(self.h_h(self.i_h(x[:,0])))
        h = h + self.i_h(x[:,1])
        h = F.relu(self.h_h(h))
        h = h + self.i_h(x[:,2])
        h = F.relu(self.h_h(h))
        return self.h_o(h)

model = LMModel1(10, 10)
script_model = torch.jit.script(model)
script_model.save("LMModel1.pt")